-- 夺旗大战战斗场景
checkRequire("Lua_CampWarLeftInfoPanel");
checkRequire("Lua_CampWarFightInfoPanel");
Lua_CampWarFightingWindow = class("Lua_CampWarFightingWindow", Lua_FullSizeWindow);
function Lua_CampWarFightingWindow:ctor()
	self:superCall("ctor", false, false, 500, false, false, false);

	self.windowName = "Lua_CampWarFightingWindow";
end

function Lua_CampWarFightingWindow:buildShowItem()
	self:superCall("buildShowItem");

	DataCenter.hook:stop(true);
	Lua_MsgUtil.callFunc("SETSKILLMENUSTATE", 2);

	-- 遮罩，倒计时完去除
	self.blackBg = UICreate.createUIAtlasImage(self.content, "common_atlas_1", "ui_common_black_50", 0, 0, 1280, 720);
	self.blackBg.name = "blackBg";
	self.blackBg.alpha = 0.5;
	self.blackBg:setDepth(20);
	self.blackBg:setEnable(true);

	self.leftInfoPanel = Lua_CampWarLeftInfoPanel.new(self.content);
	self.leftInfoPanel:setLocation(-MainWinDefine.V_width / 2 + 640, 0, 0);
	self.fightInfoPanel = Lua_CampWarFightInfoPanel.new(self.content);
	-- self.fightInfoPanel:setLocation(-MainWinDefine.V_width / 2 + 640, 0, 0);

	self.blackBg:addClickFuntion(self, self.onBlackBgClick);

	self:addLuaEvent("rCampWarFightInfo", self, self.onUpdateFightInfo);
	self:addLuaEvent("MENU_OUT_CLICK", self, self.onExitCampWarScene);
	Lua_ProxyManager.getProxy("Lua_CampWarProxy"):sOwnerCampWarInfo();
end

function Lua_CampWarFightingWindow:onBlackBgClick(go)
end

-- 战斗信息
function Lua_CampWarFightingWindow:onUpdateFightInfo()
	if self.leftInfoPanel ~= nil then
		self.leftInfoPanel:updateCampWarInfo();
	end

	if self.fightInfoPanel ~= nil then
		self.fightInfoPanel:updateCampWarFightInfo();
	end

	local num = DataCenter.campWarData.fightCountDown;
	if num > 0 then
		if GlobalVar.hooking == true then
			DataCenter.hook:stop(true);
		end

		if self.countDownAni == nil then
			self.countDownAni = Lua_CountDownAnimation.new(self.content, self, self.countDownComplete);
			self.countDownAni:setDepth(10);
		end
		self.countDownAni:playCountDown(num, 1);
	else
		self:countDownComplete();
	end
end

function Lua_CampWarFightingWindow:countDownComplete()
	if self.leftInfoPanel ~= nil then
		self.leftInfoPanel:startCampWarFightTime();
	end

	if self.countDownAni ~= nil then
		self.countDownAni:dispose();
		self.countDownAni = nil;
	end
	self.blackBg:setEnable(false);
end

function Lua_CampWarFightingWindow:onExitCampWarScene()
	Lua_WindowUtil.openWin("Lua_TipsWindow", nil, {owner = self, des = LanUtil.getValue(122719), type = 1, subFun = self.onOutClick});
end

function Lua_CampWarFightingWindow:onOutClick(val)
	Lua_ProxyManager.getProxy("Lua_CampWarProxy"):sExitScene();
end

function Lua_CampWarFightingWindow:dispose()
	if self.blackBg ~= nil then
		self.blackBg:dispose();
		self.blackBg = nil;
	end
	if self.leftInfoPanel ~= nil then
		self.leftInfoPanel:dispose();
		self.leftInfoPanel = nil;
	end
	if self.fightInfoPanel ~= nil then
		self.fightInfoPanel:dispose();
		self.fightInfoPanel = nil;
	end
	if self.countDownAni ~= nil then
		self.countDownAni:dispose();
		self.countDownAni = nil;
	end

	self:superCall("dispose");
end