-- 夺旗大战排行榜
Lua_CampWarRankWindow = class("Lua_CampWarRankWindow", Lua_ThirdSizeWindow)
function Lua_CampWarRankWindow:ctor()
	self:superCall("ctor", true, 3500, true, LanUtil.getValue(122704));

	self.windowName = "Lua_CampWarRankWindow";
	self.skinName = "CampWarRankWindow_skin";
	self.w = 916;
	self.h = 574;
end

function Lua_CampWarRankWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.rankList = Lua_DragList.new(self.content, 1, Vector4(0, 0, 878, 360));
	self.rankList:setLocation(0, -24, 0);
	self.rankList:setListCell(Lua_CampWarRankItem, 72, 878, 1);

	self:addLuaEvent("rCampWarRankInfo", self, self.onCampWarRankInfo);
	Lua_ProxyManager.getProxy("Lua_CampWarProxy"):sCampWarRankInfo();
end

function Lua_CampWarRankWindow:onCampWarRankInfo(msg)
	if msg == nil then
		return;
	end

	local list = msg.rank;
	if list == nil then
		return;
	end

	local owner;
	local arr = Array();
	for i = 1, #list do
		if owner == nil and tostring(DataCenter.roleData.roleId) == tostring(list[i].role_id) then
			owner = list[i];
		end
	arr:add(list[i]);
	end
	self.rankList:setLuaArrayData(arr, false);

	if owner ~= nil then
		if owner.rank > 3 then
			self.myRankIcon:setEnable(false);
			self.myRankTxt.text = tostring(owner.rank);
		elseif owner.rank <= 0 then
			self.myRankIcon:setEnable(false);
			self.myRankTxt.text = "--";
		else
			self.myRankIcon:setEnable(true);
			self.myRankIcon:setAltas("leaderBoard_atlas", DataCenter.answerUtil.rankBeforeThreeUrl[owner.rank]);
			self.myRankTxt.text = "";
		end

		self.myNameTxt.text = DataCenter.roleData.name;
		self.myLvTxt.text = tostring(DataCenter.roleData.level);
		self.myCampName.text = DataCenter.campWarUtil:getCampNameById(owner.camp_id);
		self.myKillNum.text = tostring(owner.kill);
		self.myFlagNum.text = tostring(owner.flags);
		self.myJifenTxt.text = tostring(owner.score);
	else
		self.myRankIcon:setEnable(false);
		self.myRankTxt.text = "--";
		self.myNameTxt.text = DataCenter.roleData.name;
		self.myLvTxt.text = tostring(DataCenter.roleData.level);
		self.myCampName.text = DataCenter.campWarData.myCampName;
		self.myKillNum.text = "0";
		self.myFlagNum.text = "0";
		self.myJifenTxt.text = "0";
	end
end

function Lua_CampWarRankWindow:dispose()
	if self.rankList ~= nil then
		self.rankList:dispose()
		self.rankList = nil;
	end
	self:superCall("dispose");
end





--------------------------------------------------





Lua_CampWarRankItem = class("Lua_CampWarRankItem", Lua_ListCell);
function Lua_CampWarRankItem:ctor(p)
	self:superCall("ctor", p, "CampWarRankItem_skin");
end

function Lua_CampWarRankItem:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_CampWarRankItem:setData(data)
	self.data = data;

	if data.rank > 3 then
		self.rankIcon:setEnable(false);
		self.rankTxt.text = tostring(data.rank);
	elseif data.rank <= 0 then
		self.rankIcon:setEnable(false);
		self.rankTxt.text = "--";
	else
		self.rankIcon:setEnable(true);
		self.rankIcon:setAltas("leaderBoard_atlas", DataCenter.answerUtil.rankBeforeThreeUrl[data.rank]);
		self.rankTxt.text = "";
	end

	self.nameTxt.text = data.role_name;
	self.lvTxt.text = data.level;
	self.campName.text = DataCenter.campWarUtil:getCampNameById(data.camp_id);
	self.killNum.text = data.kill;
	self.flagNum.text = data.flags;
	self.jifenTxt.text = data.score;

	self.enemyBg:setEnable(data.camp_id ~= DataCenter.campWarData.campId);
	self.friendBg:setEnable(data.camp_id == DataCenter.campWarData.campId);
end

function Lua_CampWarRankItem:dispose()
	self:superCall("dispose");
end