-- 夺旗大战入口
Lua_CampWarWindow = class("Lua_CampWarWindow", Lua_SecondSizeWindow);
function Lua_CampWarWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_CampWarWindow";
	self.skinName = "CampWarWindow_skin";
	self.titleText = LanUtil.getValue(122700);
end

function Lua_CampWarWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.descBg.imgTypeNum = 4;
	self.descBg.widget.border = Vector4(0, 10, 0, 10);

	local str = DataCenter.xianshiData:getDataById(getConfig({"camp_const", "activity_id", "value"})).openTimeDesc;
	self.timeLab.text = LanUtil.formateStr(LanUtil.getValue(122701), str);
	self.desLab.text = LanUtil.getValue(122702);

	local activityID = getConfig({"camp_const", "activity_id", "value"});
	local rewardId = DataCenter.xianshiData:getDataById(activityID).display_reward;
	self.rItem = Lua_RewardItem.new(self.content);
	self.rItem:setLayout(90, 90, 9);
	self.rItem:setMaxShow(9);
	self.rItem:setDepth(10);
	self.rItem:setClickWin(true);
	self.rItem:setMouseEnble(true);
	self.rItem:setItemScale(1, 1);
	self.rItem:setLocation(304, -155, 0);
	self.rItem:setRewardByRewardList(Array(rewardId));

	self.tipsLab.text = LanUtil.getValue(123104);
	self.enterBtn.label = LanUtil.getValue(122703);
	self.tipsIcon:addClickFuntion(self, self.onHelp);
	self.tipsLab:addClickFuntion(self, self.onHelp);
	self.enterBtn:addClickFuntion(self, self.onEnterBtnClick);
end

function Lua_CampWarWindow:onHelp(go)
	Lua_WindowUtil.openWin("Lua_RuleTipWindow", WinParam.ACTION_AUTO, LanUtil.getValue(122720));
end

function Lua_CampWarWindow:onEnterBtnClick(go)
	if DataCenter.campWarData.bInCampWarScene == true then -- 答题场景(注意场景id写死，配置修改的时候也得改)
		OperateAlert.show(LanUtil.getValue(121805));
		return;
	end
	Lua_ProxyManager.getProxy("Lua_CampWarProxy"):sEnterCampWarScene(); -- 进入场景
end

function Lua_CampWarWindow:dispose()
	if self.rItem ~= nil then
		self.rItem:dispose();
		self.rItem = nil;
	end
	self:superCall("dispose");
end