-- 夺旗大战左侧信息栏
Lua_CampWarLeftInfoPanel = class("Lua_CampWarLeftInfoPanel", Lua_DisplayObject);
function Lua_CampWarLeftInfoPanel:ctor(p)
	self:superCall("ctor", p, "CampWarLeftInfoPanel_skin");
end

function Lua_CampWarLeftInfoPanel:buildShowItem()
	self:superCall("buildShowItem");

	self._showState = true;
	self.descTxt.text = LanUtil.getValue(122711);

	self:updateCampWarInfo();

	self.titleBg.clickScale = false;
	self.bg.clickScale = false;
	self.titleBg:addClickFuntion(self, self.onBgClick);
	self.bg:addClickFuntion(self, self.onBgClick);
	self.closeBtn:addClickFuntion(self, self.onArrowBtnClick);
	self.rankBtn:addClickFuntion(self, self.onRankBtnClick);
	self.wenhao:addClickFuntion(self, self.onTipsClick);
end

-- 更新信息
function Lua_CampWarLeftInfoPanel:updateCampWarInfo()
	self.campName.text = LanUtil.formateStr(LanUtil.getValue(122712), tostring(DataCenter.campWarData.myCampName));
	self.rankTxt.text = LanUtil.formateStr(LanUtil.getValue(122713), tostring(DataCenter.campWarData.rank));
	self.jifenTxt.text = LanUtil.formateStr(LanUtil.getValue(122714), tostring(DataCenter.campWarData.jifenNum));

	local num = DataCenter.campWarData.fightCountDown;
	if num > 0 then
		self:clearTimer();
		num = DataCenter.campWarData.fightResidueTime - num;
	else
		num = DataCenter.campWarData.fightResidueTime;
	end	
	self.endTimeTxt.text = LanUtil.formateStr(LanUtil.getValue(122715), TimeTransform.getInstance():transSeconds1(num, true));
end

function Lua_CampWarLeftInfoPanel:onBgClick(go)
end

function Lua_CampWarLeftInfoPanel:onArrowBtnClick(go)
	if self.clickTime ~= nil and getTime() - self.clickTime < 0.3 then
		OperateAlert.show(LanUtil.getValue(121419));
		return;
	end
	self.clickTime = getTime();

	self:setShowState(not self._showState);
end

function Lua_CampWarLeftInfoPanel:setShowState(val)
	self._showState = val;
	if val then
		self.closeIcon:setSacle(0.8, 0.8);
		self.closeBtn:setLocation(-386.5, 155, 0);
		self.closeIcon:setLocation(-388, 159, 0);
		TweenUtil.getInstance():addTween(self.content, 0.5, 0, Vector3(-MainWinDefine.V_width / 2 + 640, -2, 0), nil, nil);
	else
		self.closeIcon:setSacle(-0.8, 0.8);
		self.closeBtn:setLocation(-335.5 + self.closeBtn.width + 13, 155, 0);
		self.closeIcon:setLocation(-337 - 1.5 + self.closeBtn.width + 13, 159, 0);
		TweenUtil.getInstance():addTween(self.content, 0.5, 0, Vector3(-MainWinDefine.V_width / 2 + 320, -2, 0), nil, nil);
	end
end

function Lua_CampWarLeftInfoPanel:onRankBtnClick(go)
	Lua_WindowUtil.openWin("Lua_CampWarRankWindow", WinParam.ACTION_OPEN, nil);
end

function Lua_CampWarLeftInfoPanel:onTipsClick()
	Lua_WindowUtil.openWin("Lua_RuleTipWindow", WinParam.ACTION_AUTO, LanUtil.getValue(122722));
end

-- 开始计时
function Lua_CampWarLeftInfoPanel:startCampWarFightTime()
	num = DataCenter.campWarData.fightResidueTime;
	if num > 0 then
		if self.bRegisterTimer ~= true then
			self.bRegisterTimer = true;
			Lua_CommonUtil.addTimer("Lua_CampWarLeftInfoPanel", 1, self, self.updateCampWarInfoTime);
		end
	end
	self.endTimeTxt.text = LanUtil.formateStr(LanUtil.getValue(122715), TimeTransform.getInstance():transSeconds1(num, true));
end

function Lua_CampWarLeftInfoPanel:updateCampWarInfoTime()
	local num = DataCenter.campWarData.fightResidueTime;
	if num <= 0 then
		num = 0;
		self:clearTimer();
	end
	self.endTimeTxt.text = LanUtil.formateStr(LanUtil.getValue(122715), TimeTransform.getInstance():transSeconds1(num, true));
end

function Lua_CampWarLeftInfoPanel:clearTimer()
	if self.bRegisterTimer == true then
		self.bRegisterTimer = false;
		Lua_CommonUtil.removeTimer(self, self.updateCampWarInfoTime);
	end
end

function Lua_CampWarLeftInfoPanel:dispose()
	self:clearTimer();
	TweenUtil.getInstance():stop(self.content);

	self:superCall("dispose");
end